import { Config } from './types';
import { Options } from '../common/types';
/**
 * Get the TSLint config for lynt. Optionally adds extra React rules if the
 * `react` flag is passed.
 *
 * @param options A configuration object that lets you customize how lynt works.
 * @return An object that is compatible with TSLint's config format.
 */
declare function getTSLintConfig(options: Options): Config;
/**
 * Get the ESLint ignores for Lynt.
 *
 * @param userIgnores Additional ignore patterns to be added to the default.
 * @return The combined ignores.
 */
declare function getTSLintIgnores(userIgnores?: Options['ignore']): Array<string>;
export { getTSLintConfig, getTSLintIgnores };
